# Class RefreshFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.security.auth.RefreshFailedException

All Implemented Interfaces:
  `Serializable`

public class RefreshFailedException extends Exception
Signals that a `refresh` operation failed.

This exception is thrown by credentials implementing the `Refreshable` interface when the `refresh` method fails.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RefreshFailedException()`
  Constructs a RefreshFailedException with no detail message.
  `RefreshFailedException(String msg)`
  Constructs a RefreshFailedException with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RefreshFailedException

    public RefreshFailedException()
    Constructs a RefreshFailedException with no detail message. A detail message is a String that describes this particular exception.

  - ### RefreshFailedException

    public RefreshFailedException(String msg)
    Constructs a RefreshFailedException with the specified detail message. A detail message is a String that describes this particular exception.
    Parameters:
      `msg` - the detail message.